Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::StringsListSelectionWidgetInterface Class Reference

`#include <StringsListSelectionWidgetInterface.h>`

Inheritance diagram for tlp::StringsListSelectionWidgetInterface:
[legend]

List of all members.

## Public Member Functions

- virtual ~StringsListSelectionWidgetInterface ()
- virtual void setUnselectedStringsList (const std::vector< std::string > &unselectedStringsList)=0
- virtual void setSelectedStringsList (const std::vector< std::string > &selectedStringsList)=0
- virtual void clearUnselectedStringsList ()=0
- virtual void clearSelectedStringsList ()=0
- virtual void setMaxSelectedStringsListSize (const unsigned int maxSelectedStringsListSize)=0
- virtual std::vector< std::string > getSelectedStringsList () const =0
- virtual std::vector< std::string > getUnselectedStringsList () const =0
- virtual void selectAllStrings ()=0
- virtual void unselectAllStrings ()=0

## Constructor & Destructor Documentation

virtual tlp::StringsListSelectionWidgetInterface::~StringsListSelectionWidgetInterface | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::StringsListSelectionWidgetInterface::clearSelectedStringsList | ( |  | ) | `[pure virtual]`

Implemented in tlp::DoubleStringsListSelectionWidget, tlp::SimpleStringsListSelectionWidget, and tlp::StringsListSelectionWidget.

virtual void tlp::StringsListSelectionWidgetInterface::clearUnselectedStringsList | ( |  | ) | `[pure virtual]`

Implemented in tlp::DoubleStringsListSelectionWidget, tlp::SimpleStringsListSelectionWidget, and tlp::StringsListSelectionWidget.

virtual std::vector<std::string> tlp::StringsListSelectionWidgetInterface::getSelectedStringsList | ( |  | ) | const`[pure virtual]`

Implemented in tlp::DoubleStringsListSelectionWidget, tlp::SimpleStringsListSelectionWidget, and tlp::StringsListSelectionWidget.

virtual std::vector<std::string> tlp::StringsListSelectionWidgetInterface::getUnselectedStringsList | ( |  | ) | const`[pure virtual]`

Implemented in tlp::DoubleStringsListSelectionWidget, tlp::SimpleStringsListSelectionWidget, and tlp::StringsListSelectionWidget.

virtual void tlp::StringsListSelectionWidgetInterface::selectAllStrings | ( |  | ) | `[pure virtual]`

Implemented in tlp::DoubleStringsListSelectionWidget, tlp::SimpleStringsListSelectionWidget, and tlp::StringsListSelectionWidget.

virtual void tlp::StringsListSelectionWidgetInterface::setMaxSelectedStringsListSize | ( | const unsigned int | maxSelectedStringsListSize | ) | `[pure virtual]`

Implemented in tlp::DoubleStringsListSelectionWidget, tlp::SimpleStringsListSelectionWidget, and tlp::StringsListSelectionWidget.

virtual void tlp::StringsListSelectionWidgetInterface::setSelectedStringsList | ( | const std::vector< std::string > & | selectedStringsList | ) | `[pure virtual]`

Implemented in tlp::DoubleStringsListSelectionWidget, tlp::SimpleStringsListSelectionWidget, and tlp::StringsListSelectionWidget.

virtual void tlp::StringsListSelectionWidgetInterface::setUnselectedStringsList | ( | const std::vector< std::string > & | unselectedStringsList | ) | `[pure virtual]`

Implemented in tlp::DoubleStringsListSelectionWidget, tlp::SimpleStringsListSelectionWidget, and tlp::StringsListSelectionWidget.

virtual void tlp::StringsListSelectionWidgetInterface::unselectAllStrings | ( |  | ) | `[pure virtual]`

Implemented in tlp::DoubleStringsListSelectionWidget, tlp::SimpleStringsListSelectionWidget, and tlp::StringsListSelectionWidget.

Tulip Software by LaBRI Visualization Team 2001 - 2012